import click

from src import kwc
from src.kwc.kwc_processor import KwcProcessor

CONTEXT_SETTINGS = dict(help_option_names=['-h', '--help'])

processor = KwcProcessor()


@click.group(context_settings=CONTEXT_SETTINGS)
@click.version_option(kwc.__version__)
def cli():
    """Kiwan's Python Command"""


@cli.command()
def update():
    """Update kwc command."""
    processor.update()


@cli.command()
def test():
    """Run unit test."""
    processor.test()


@cli.command()
def cov():
    """Run coverage report."""
    processor.coverage()


@cli.command()
def lint():
    """Run lint report."""
    processor.lint()

